package gz.cyberbrain.cyberhotel.model.bank.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;

import java.io.Serializable;

public class BankTo implements Identifiable {
		
	private static final long serialVersionUID = 357798446096599130L;
	private Long bankId;
	private String name;
	private String logo;
	
	public BankTo(){}
	
	public BankTo(Long bankId, String name, String logo) {
		this.bankId = bankId;
		this.name = name;
		this.logo = logo;
	}
	
	public Serializable getId(){
		return bankId;
	}

	public String getLogo() {
		return logo;
	}

	public void setLogo(String logo) {
		this.logo = logo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getBankId() {
		return bankId;
	}

	public void setBankId(Long bankId) {
		this.bankId = bankId;
	}
	
	public String toString() {
		return name;
	}
		
}
