package gz.cyberbrain.cyberhotel.view.swing.util.gui;

import java.awt.Toolkit;

import javax.swing.text.AttributeSet;
import javax.swing.text.BadLocationException;
import javax.swing.text.PlainDocument;

public class AlphanumericDocument extends PlainDocument {

	private static final long serialVersionUID = 1L;
	int maxVal=0;
	public AlphanumericDocument(int maxLength) {
		maxVal = maxLength;
	}
	public void insertString(int offset, String str, AttributeSet a) throws BadLocationException {

		if (getLength() + str.length() > maxVal)
			return;
		else {
			try {
		
					super.insertString(offset, str, a);
		
			} catch(Exception e) {				
				Toolkit.getDefaultToolkit().beep();
			}
		}
	}

	
}
