package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.employee.to.EmployeeTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class EmployeeWithWashesException extends ModelException {
	
	private static final long serialVersionUID = 1L;
	private EmployeeTo employee;
	
	public EmployeeWithWashesException (EmployeeTo employee){
		
		super("Employee " + employee.getEmployeeId() + " has got associated washes.");
		
		this.employee = employee;
		
	}
	
	public EmployeeTo getEmployee() {
		return employee;
	}
}
